import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/basic.info/neassessmentmanage/` + url, ...arg)

/**
 * 粮食安全责任制考核-国考-考核指标管理表Api接口管理器
 *
 * @author zjn
 * @date  2024/04/18 19:35
 **/
export default {
	// 获取粮食安全责任制考核-国考-考核指标管理表分页
	neAssessmentManagePage(data) {
		return request('page', data, 'get')
	},
	// 提交粮食安全责任制考核-国考-考核指标管理表表单 edit为true时为编辑，默认为新增
	neAssessmentManageSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除粮食安全责任制考核-国考-考核指标管理表
	neAssessmentManageDelete(data) {
		return request('delete', data)
	},
	// 获取粮食安全责任制考核-国考-考核指标管理表详情
	neAssessmentManageDetail(data) {
		return request('detail', data, 'get')
	}
}
